langcode: en
status: true
dependencies:
  config:
    - core.entity_view_mode.media.field_preview
    - field.field.media.video.field_media_cover_image
    - field.field.media.video.field_media_in_library
    - field.field.media.video.field_media_video_file
    - image.style.field_preview
    - media.type.video
  module:
    - ds
    - image
third_party_settings:
  ds:
    layout:
      id: ds_1col
      library: null
      disable_css: false
      entity_classes: all_classes
      settings:
        label: ''
        wrappers:
          ds_content: div
        outer_wrapper: div
        attributes: ''
        link_attribute: ''
        link_custom: ''
        classes:
          layout_class: {  }
    regions:
      ds_content:
        - thumbnail
        - field_media_cover_image
        - name
id: media.video.field_preview
targetEntityType: media
bundle: video
mode: field_preview
content:
  field_media_cover_image:
    type: image
    weight: 1
    region: ds_content
    label: hidden
    settings:
      image_style: field_preview
      image_link: ''
      image_loading:
        attribute: lazy
    third_party_settings:
      ds:
        ft:
          id: expert
          settings:
            lb: ''
            prefix: ''
            lbw-el: ''
            lbw-cl: ''
            lbw-at: ''
            ow: true
            ow-el: ''
            ow-cl: video-player-icon
            ow-at: ''
            ow-def-at: true
            ow-def-cl: true
            fis-el: ''
            fis-cl: ''
            fis-at: ''
            fi-el: ''
            fi-cl: ''
            fi-at: ''
            suffix: ''
            lbw: false
            lb-col: false
            fis: false
            fis-def-at: false
            fi: false
            fi-def-at: false
  name:
    type: string
    weight: 2
    region: ds_content
    label: hidden
    settings:
      link_to_entity: false
    third_party_settings: {  }
  thumbnail:
    type: image
    weight: 0
    region: ds_content
    label: hidden
    settings:
      image_style: field_preview
      image_link: ''
      image_loading:
        attribute: lazy
    third_party_settings:
      ds:
        ft:
          id: expert
          settings:
            lb: ''
            prefix: ''
            lbw-el: ''
            lbw-cl: ''
            lbw-at: ''
            ow: true
            ow-el: ''
            ow-cl: video-player-icon
            ow-at: ''
            fis-el: ''
            fis-cl: ''
            fis-at: ''
            fi-el: ''
            fi-cl: ''
            fi-at: ''
            suffix: ''
            lbw: false
            lb-col: false
            ow-def-at: false
            ow-def-cl: false
            fis: false
            fis-def-at: false
            fi: false
            fi-def-at: false
hidden:
  created: true
  field_media_in_library: true
  field_media_video_file: true
  langcode: true
  search_api_excerpt: true
  uid: true
